package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOilPriceWeek;
import com.hfkj.sysenum.gas.GasOilNoEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: BsGasOilPriceWeekService
 * @author: HuRui
 * @date: 2024/7/29
 **/
public interface BsGasOilPriceWeekService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsGasOilPriceWeek data);

    /**
     * 修改价格
     * @param priceWeek
     */
    void updatePrice(BsGasOilPriceWeek priceWeek);

    /**
     * 删除价格
     * @param merNo
     * @param oilNo
     */
    void deletePrice(String merNo,String oilNo);

    /**
     * 修改价格
     * @param week  周期
     */
    void updatePriceWeek(Integer week);

    /**
     * 查询价格
     * @param merNo
     * @param oilNo
     * @return
     */
    BsGasOilPriceWeek getOilPrice(String merNo, GasOilNoEnum oilNo);

    /**
     * 查询价格
     * @param priceWeekId
     * @return
     */
    BsGasOilPriceWeek getOilPrice(Long priceWeekId);

    /**
     * 查询油价列表
     * @param param
     * @return
     */
    List<BsGasOilPriceWeek> getOilPriceList(Map<String,Object> param);

}
